httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rich Bowen <rbo...@rcbowen.com>
Subject Re: [users@httpd] Migrating from 1.3 to 2.04
Date Mon, 16 Sep 2002 14:33:57 GMT
On Mon, 16 Sep 2002, Shah, Kishor (Kishor) wrote:

> Hi All,
>
> I am migrating an existing  Apache webserver from 1.3 ro 2.0.40. The existing webserver
has custom modules which are loaded with the webserver. These modules need to be compiled
and built with Apache 2.0.
>
> (I have  Apache src code 2.0.40 compiled and the web server is running.)
>
> I have searched Google and apache org site but can not find the information. In the 1.3
version. My specific question :
>
> Can someone point me a link or give me some information as to how would I set-up the
source tree and what options I can use with configure to generate the necessary make file.

Unless I'm missing what you're asking ...
Your 1.3 modules will not work with 2.0. They must be rewritten/ported
to the new API.

This is covered in http://httpd.apache.org/docs-2.0/upgrading.html
See especially the part about third-party modules.
http://httpd.apache.org/docs-2.0/upgrading.html#third-party

-- 
Oh I have slipped the surly bonds of earth
And danced the sky on laughter-silvered wings
 --High Flight (John Gillespie Magee)


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message